Fix build errors on 10.6

--- mozglue/misc/Mutex_posix.cpp.orig	2022-07-09 14:28:00.000000000 -0400
+++ mozglue/misc/Mutex_posix.cpp	2022-07-09 14:31:34.000000000 -0400
@@ -11,7 +11,10 @@
 #include <stdio.h>
 
 #if defined(XP_DARWIN)
+#  include <Availability.h>
+#  if __MAC_OS_X_VERSION_MAX_ALLOWED >= 1070
 #  include <pthread_spis.h>
+#  endif
 #endif
 
 #include "mozilla/PlatformMutex.h"
@@ -65,7 +68,7 @@
   TRY_CALL_PTHREADS(pthread_mutexattr_settype(&attr, MUTEX_KIND),
                     "mozilla::detail::MutexImpl::MutexImpl: "
                     "pthread_mutexattr_settype failed");
-#  elif defined(POLICY_KIND)
+#  elif defined(POLICY_KIND) && __MAC_OS_X_VERSION_MAX_ALLOWED >= 101400
   if (__builtin_available(macOS 10.14, *)) {
     TRY_CALL_PTHREADS(pthread_mutexattr_setpolicy_np(&attr, POLICY_KIND),
                       "mozilla::detail::MutexImpl::MutexImpl: "
